<?php

// Configure frontend plugins
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'SGalinski.sg_jobs',
	'Joblist',
	[
		// Cacheable actions
		'Joblist' => 'index, applyForm, apply'
	],
	[
		// Uncacheable actions
		'Joblist' => 'apply'
	]
);

if (TYPO3_MODE === 'BE') {
	$extPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('sg_jobs');
	$tsPath = $extPath . 'Configuration/TypoScript/Backend/';

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptConstants(
		file_get_contents($tsPath . 'constants.txt')
	);

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptSetup(file_get_contents($tsPath . 'setup.txt'));
}
